package com.zhongzheng.modules.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.order.bo.OrderAddBo;
import com.zhongzheng.modules.order.bo.OrderEditBo;
import com.zhongzheng.modules.order.bo.OrderQueryBo;
import com.zhongzheng.modules.order.domain.Order;
import com.zhongzheng.modules.order.vo.OrderListVo;
import com.zhongzheng.modules.order.vo.OrderVo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 订单Service接口
 *
 * @author ruoyi
 * @date 2021-11-08
 */
public interface IOrderService extends IService<Order> {
	/**
	 * 查询单个
	 * @return
	 */
	OrderVo queryById(Long orderId);

	/**
	 * 查询列表
	 */
	List<OrderVo> queryList(OrderQueryBo bo);

	List<OrderListVo> selectList(OrderQueryBo bo);

	/**
	 * 根据新增业务对象插入订单
	 * @param bo 订单新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(OrderAddBo bo);

	Map<String, String> placeOrder(OrderAddBo bo);


	Map<String, Object> placePlatOrder(OrderAddBo bo);

	/**
	 * 根据编辑业务对象修改订单
	 * @param bo 订单编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(OrderEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
